<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/lightgrey"
    tools:context=".blog.PostActivity">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="?android:attr/actionBarSize"
        android:background="#ffffff"
        android:elevation="@dimen/seekbarsize_small"
        app:contentInsetLeft="0dp"
        app:contentInsetStart="0dp"
        app:popupTheme="@style/AppTheme.PopupOverlay"
        tools:ignore="MissingConstraints">

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="center"
            android:scrollHorizontally="true"
            android:singleLine="true"
            android:text="NEW POST"
            android:textAllCaps="true"
            android:textColor="@color/txt_color"
            android:textSize="@dimen/textSizeAverage"
            android:textStyle="bold" />
    </androidx.appcompat.widget.Toolbar>

    <ImageView
        android:id="@+id/post_image"
        android:scaleType="centerCrop"
        android:clickable="true"
        android:focusable="true"
        android:elevation="10dp"
        android:layout_width="0dp"
        android:layout_marginTop="10dp"
        android:layout_height="150dp"
        android:layout_marginEnd="10dp"
        android:layout_marginStart="10dp"
        android:background="@drawable/edittext_shape_two"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/toolbar"
        app:srcCompat="@color/swipeselector_color_indicator_inactive" />
    <Button
        android:id="@+id/add_post_btn"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="8dp"
        android:background="@drawable/googlesigninbtn"
        android:backgroundTint="@color/white"
        android:clickable="true"
        android:elevation="4dp"
        android:focusable="true"
        android:text="Add Photo"
        android:textColor="@color/toolbar_items"
        android:textSize="18sp"
        app:layout_constraintBottom_toTopOf="@+id/submit_post_btn"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.619"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/post_image"
        app:layout_constraintVertical_bias="0.009" />
    <EditText
        android:id="@+id/post_title"
        android:layout_width="0dp"
        android:layout_height="50dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="24dp"
        android:layout_marginEnd="8dp"
        android:background="@drawable/edittext_shape_two"
        android:ems="10"
        android:hint="Write Title"
        android:inputType="textPersonName"
        android:paddingStart="15dp"
        android:paddingEnd="15dp"
        android:scrollHorizontally="true"
        android:singleLine="true"
        android:textColor="@color/post_heading"
        android:textColorHint="@color/post_details"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/add_post_btn" />
    <EditText
        android:id="@+id/post_details"
        android:layout_width="0dp"
        android:layout_height="150dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="24dp"
        android:layout_marginEnd="8dp"
        android:background="@drawable/edittext_shape_two"
        android:ems="10"
        android:gravity="top"
        android:hint="Write Description"
        android:inputType="textMultiLine"
        android:padding="15dp"
        android:textColor="@color/post_heading"
        android:textColorHint="@color/post_details"
        android:textStyle="normal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.384"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/post_title" />
    <Button
        android:id="@+id/submit_post_btn"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:backgroundTint="@color/white"
        android:text="Post"
        android:textColor="@color/toolbar_items"
        android:textSize="18sp"
        app:layout_constraintBottom_toBottomOf="parent"/>
</androidx.constraintlayout.widget.ConstraintLayout>
